function [success] = save()
%SAVE Test function for saving a RIC file.
% Uses a test rfb data file from the data folder. Uses only dummy fields
% for saving, because the actual algorithm for creating the data is not yet
% implemented.

[currentDirectory, ~, ~] = fileparts(mfilename('fullpath'));
dataFileName = fullfile(currentDirectory, '..', 'data', '0272.rfb');

rfb = artoa.load.rfb(dataFileName);

data = [];
data(:, 1) = rfb.DATA(1:13, rfb.VARIABLE_LIST.time_of_arrival(1));
data(:, 2) = str2num(cell2mat(rfb.SAT_DATA(:, 1)));
data(:, 3) = str2num(cell2mat(rfb.SAT_DATA(:, 2)));
data(:, 4) = rfb.DATA(1:13, rfb.VARIABLE_LIST.temperature);
data(:, 5) = rfb.DATA(1:13, rfb.VARIABLE_LIST.pressure);

saveToFilename = fullfile(currentDirectory, '..', 'data', 'testOutput.ric');

success = artoa.save.ric(saveToFilename, num2str(rfb.FLOAT.floatname), num2str(rfb.FLOAT.cycle(1)), data);

end

